Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owlapi.owllink.builtin.response
Interface ResponseVisitor<O>

    public interface ResponseVisitor<O>

Created by IntelliJ IDEA. Author: Olaf Noppens Date: 24.11.2009

Method Summary
`O` | `visit(BooleanResponse response)`
`O` | `visit(Classes response)`
`O` | `visit(ClassHierarchy response)`
`O` | `visit(ClassSynsets response)`
`O` | `visit(DataPropertyHierarchy response)`
`O` | `visit(DataPropertySynonyms response)`
`O` | `visit(DataPropertySynsets response)`
`O` | `visit(Description response)`
`O` | `visit(IndividualSynonyms response)`
`O` | `visit(KB response)`
`O` | `visit(KBResponse response)`
`O` | `visit(ObjectPropertyHierarchy response)`
`O` | `visit(ObjectPropertySynsets response)`
`O` | `visit(OK response)`
`O` | `visit(Prefixes response)`
`O` | `visit(Response response)`
`O` | `visit(SetOfAnnotationProperties response)`
`O` | `visit(SetOfClasses response)`
`O` | `visit(SetOfClassSynsets resposne)`
`O` | `visit(SetOfDataProperties response)`
`O` | `visit(SetOfDataPropertySynsets response)`
`O` | `visit(SetOfDatatypes response)`
`O` | `visit(SetOfIndividuals response)`
`O` | `visit(SetOfIndividualSynsets response)`
`O` | `visit(SetOfLiterals response)`
`O` | `visit(SetOfObjectProperties response)`
`O` | `visit(SetOfObjectPropertySynsets response)`
`O` | `visit(Settings response)`
`O` | `visit(StringResponse response)`

Method Detail

### visit

    O visit(Response response)

### visit

    O visit(KBResponse response)

### visit

    O visit(BooleanResponse response)

### visit

    O visit(Classes response)

### visit

    O visit(ClassHierarchy response)

### visit

    O visit(ClassSynsets response)

### visit

    O visit(DataPropertyHierarchy response)

### visit

    O visit(DataPropertySynsets response)

### visit

    O visit(DataPropertySynonyms response)

### visit

    O visit(Description response)

### visit

    O visit(IndividualSynonyms response)

### visit

    O visit(KB response)

### visit

    O visit(ObjectPropertyHierarchy response)

### visit

    O visit(ObjectPropertySynsets response)

### visit

    O visit(OK response)

### visit

    O visit(Prefixes response)

### visit

    O visit(SetOfAnnotationProperties response)

### visit

    O visit(SetOfClasses response)

### visit

    O visit(SetOfClassSynsets resposne)

### visit

    O visit(SetOfDataProperties response)

### visit

    O visit(SetOfDataPropertySynsets response)

### visit

    O visit(SetOfDatatypes response)

### visit

    O visit(SetOfIndividuals response)

### visit

    O visit(SetOfIndividualSynsets response)

### visit

    O visit(SetOfLiterals response)

### visit

    O visit(SetOfObjectProperties response)

### visit

    O visit(SetOfObjectPropertySynsets response)

### visit

    O visit(Settings response)

### visit

    O visit(StringResponse response)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD